import { ClassDeclaration, Decorator, SourceFile } from 'ts-simple-ast';
export interface IAngularComponentInput {
    name: string;
    initialized: boolean;
}
export interface IAngularComponentOutput {
    name: string;
    initialized: boolean;
}
export interface IAngularComponent {
    selector: string;
    inputs: IAngularComponentInput[];
    outputs: IAngularComponentOutput[];
    autoInitializedInputs: IAngularComponentInput[];
    usedCount?: number;
    withBindIOCount?: number;
    withBindInputsCount?: number;
    withBindOutputsCount?: number;
    sourceFile: SourceFile;
    class: ClassDeclaration;
}
export declare function countUsed(source: string, component: IAngularComponent): {
    allCount: number;
    withBindIOCount: number;
    withBindInputsCount: number;
    withBindOutputsCount: number;
};
export declare function parseArguments(dec: Decorator): {
    selector: string;
    arguments: string[];
};
export declare function updateAngularComponents(component: IAngularComponent): IAngularComponent;
export declare function getAngularComponents(sourceFile: SourceFile): IAngularComponent[];
